---
title: Every Day Carry
slug: every-day-carry
description: Covering all the stuff I carry in my pockets for an average day out.
author: Rusty
date: 3-24-2021
post: blog
published: true
---
![squares of games](../images/everydaycarry.jpg)

I wanted to go over the items that I carry every day in my pockets. 
No matter if I goto the grocery store (pretending there is no COVID 19
 and that I actually do go to the grocery store right now) or just going 
 to work. I don’t mention the mask that in the cover picture, but as of right now I always have an extra one shoved in my pocket.


I will start with my the most important item which is my wallet. I use a Bell Roy Hide and Seek Wallet. 
The leather feels good and it is the right size for me to hold all my cards. Its even RFID protected if you 
worry about that sort of thing. Company Link


Next up is my pocket knife. This little dude is a Spyderco Delica 4 2.8″ blade. Just my normal pocket knife that cuts boxes for me or what ever I need it for out in the woods. I can’t find the exact model I have but the link should be very close to the same. Company Link


This one is a given. Its my Apple Watch Series 5. Track my running, hiking, every day what ever. I use it for calls, timers, meeting notices. It also seems to hold up on a 3 day hiking trip in the woods so long as I bring a battery pack to charge it at night. Company Link


The Fisher Bullet Space Pen is a decent small pen to keep in your pocket when you need to write something down. Never know when you will be in space! Any of the bullet pens are nice, take your pick of design. Company Link


This pen I don’t always carry in my pocket but I normally have it in my backpack. Its very expensive which is why it doesn’t always go places with me. Super awesome custom pen how ever. Sleek and I like the size and smoothness it feels in my hand. Company Link


Last but not least is my iPhone 11 Pro. It’s my phone of choice, use it for pictures and 4k video. I have the 128gb size which is plenty for what I use it for. The case is a Pitaka MagEz case. I use these cases for all my apple products. They have a good grip and stick to my magnetic car holder well. Company Link

I might add on to this with my backpack and what tech gear I carry around with me. As for now I will just say that I use a Bellroy Classic Backpack Plus. What goes in there changes a lot.

